pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat Struct Reference

Structure for storing the visual word. More...

`#include <pcl/recognition/implicit_shape_model.h>`

## Public Member Functions

| VisualWordStat ()
| Empty constructor with member variables initialization. More...

## Public Attributes

int | class_
| Which class this vote belongs. More...
float | learned_weight_
| Weight of the vote. More...
pcl::PointXYZ | dir_to_center_
| Expected direction to center. More...

## Detailed Description

### template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>
struct pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat

Structure for storing the visual word.

Definition at line 315 of file implicit_shape_model.h.

## Constructor & Destructor Documentation

## VisualWordStat()

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::VisualWordStat | ( |  | ) |

inline

Empty constructor with member variables initialization.

Definition at line 318 of file implicit_shape_model.h.

## Member Data Documentation

## class_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

int pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::class_

Which class this vote belongs.

Definition at line 324 of file implicit_shape_model.h.

## dir_to_center_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

pcl::PointXYZ pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::dir_to_center_

Expected direction to center.

Definition at line 330 of file implicit_shape_model.h.

## learned_weight_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

float pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::learned_weight_

Weight of the vote.

Definition at line 327 of file implicit_shape_model.h.

The documentation for this struct was generated from the following file:

- pcl/recognition/implicit_shape_model.h